<?php
    //Realiza la consulta para saber el titulo de la seccion:
    $consulta = "SELECT * FROM categoria_platos ORDER BY id;";
    $resultado = mysql_query($consulta) or die(mysql_error());

    //Recorre las categorias de platos:
    while ($row = mysql_fetch_assoc($resultado))
    {
        echo '<h3><font color="#770000">' . $row[$idioma_usado] . '</font></h3>';
        $categoria_platos_actual = trim($row["id"]);
        //Si hay un numero de categoria, recorre los platos que corresponden a ella:
        if ($categoria_platos_actual != "")
        {
            $consulta = "SELECT * FROM platos WHERE categoria = " . $categoria_platos_actual . " ORDER BY " . $idioma_usado . ";";
            $resultado2 = mysql_query($consulta) or die(mysql_error());

            if (mysql_num_rows($resultado2) > 0)
            {
                echo '<center><table width="' . ($body_width-80) . '" border="1" cellpadding="10" cellspacing="0" class="cuerpo">';
                $columnas = 0;
                $hay_fila_llena = FALSE;
                while ($row2 = mysql_fetch_assoc($resultado2))
                {
                    if ($columnas == 0) { echo "<tr>"; }
                    echo '<td align="center" valign="middle" class="cuerpo"><center>';
                    if (file_exists("img/platos/" . $row2["id"] . ".gif")) { echo '<img src="img/platos/' . $row2["id"] . '.gif"><br>'; }
                    else if (file_exists("img/platos/" . $row2["id"] . ".jpg")) { echo '<img src="img/platos/' . $row2["id"] . '.jpg"><br>'; }
                    echo '<font size="3" color="#000000" face="courier">'. $row2[$idioma_usado] . '</font><br>';
                    echo '</center></td>';
                    $columnas++;
                    if ($columnas == 3) { echo "</tr>"; $columnas = 0; $hay_fila_llena = TRUE; }
                }
                if ($columnas < 3 && $columnas != 0 && !$hay_fila_llena) { echo "</tr>"; }
                else if ($columnas < 3 && $columnas != 0)
                {
                    while ($columnas < 3 && $columnas != 0) { echo '<td class="cuerpo"><img src="img/blank.gif" width="1" height="1" border="0" hspace="0" vspace="0"></td>'; $columnas++; if ($columnas == 3) { echo "</tr>"; } }
                }
                echo '</table></center>';
            }
        }
        echo "<br>";
    }

?>
